Submit a receive request. This will lock in a rate and await approval.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Updated TerminologyCollections are now called Receives. These
/receiveendpoints replace the legacy/collectionsendpoints. The functionality remains identical, only the terminology has changed. Legacy collections endpoints are deprecated but will continue to work. We recommend migrating to these new/receiveendpoints for future compatibility.
Amount in USD or local currencyThe
amountfield and thelocalAmountfield are interchangeable in the request body. Either one is required, but not both. Specifying the USDamountwill then calculate an amount in local currency based on the partner rates, while specifying alocalAmountin the local currency will fix this amount for the user while calculating the USD amount from the rates. TheconvertedAmountin the response body indicates the amount in local currency that has either been fixed or calculated.
Ten minutes expiryReceive requests have ten minutes to be accepted or will automatically mark itself as expired.
Force AcceptSetting
forceAcceptfield totrueallows you to skip the accept receive request and your collection would start processing once you submit collection request.Note: You should expect the
bankInfoobject for bank channel type ifforceAcceptistrue, Also keep in mind force accept for bank channel type adds a bit more latency to your submit receive request.When the channel selected requires a redirect for the receive to be made and the
forceAcceptvalue is set totrue, then theredirectUrlfield is required and the request will fail if it is not provided.Note: the
redirectUrlhas to be a valid url with thehttp://orhttps://scheme included.
Channel NoteYou can now use
channelTypeas an alternative to specifying a channelId in your Submit Receive API request.When using
channelTypeyou're required to pass thecountryandcurrencyin the send requestWhen you provide a
channelType,countryandcurrencythe system will automatically select an appropriate active channel for your transaction.Available Channel Types:
- momo
- bank (P2P and EFT channel types should be passed in as bank)

